/**
 * 
 */
package org.gcube.portlets.user.dataminermanager.client.bean.parameters;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * @author ceras
 *
 */
public class FileParameter extends Parameter implements IsSerializable {

	private static final long serialVersionUID = -2967577990287112937L;
	private String mimeType;
	private String value;

	/**
	 * 
	 */
	public FileParameter() {
		super();
		this.typology = ParameterTypology.FILE;
	}
	
	/**
	 * 
	 * @param name
	 * @param description
	 * @param fileName
	 * @param mimeType
	 */
	public FileParameter(String name, String description, String mimeType) {
		super(name, ParameterTypology.FILE, description);
		this.mimeType = mimeType;
	}

	public String getMimeType() {
		return mimeType;
	}

	public void setMimeType(String mimeType) {
		this.mimeType = mimeType;
	}

	

	/**
	 * 
	 */
	public String getValue() {
		return value;
	}

	/**
	 * 
	 */
	@Override
	public void setValue(String value) {
		this.value=value;
	}

	@Override
	public String toString() {
		return "FileParameter [mimeType=" + mimeType + ", value=" + value
				+ ", name=" + name + ", description=" + description
				+ ", typology=" + typology + "]";
	}

	
}
